Package icyllis.arc3d.opengl

# Class GLUniformDataManager

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.engine.UniformDataManager
icyllis.arc3d.opengl.GLUniformDataManager

All Implemented Interfaces:
  `RefCounted`

public class GLUniformDataManager extends UniformDataManager
Uploads a UBO for a Uniform Interface Block with std140 layout.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.UniformDataManager

  `mUniformData, mUniforms, mUniformsDirty, mUniformSize`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `bindAndUploadUniforms(GLDevice device, GLCommandBuffer commandBuffer)`
  `protected void`
  `deallocate()`
  Override this method to invoke de-allocation of the underlying resource.
  `void`
  `setProjection(int u, int width, int height, boolean flipY)`
  Set the orthographic projection vector.

  ### Methods inherited from class icyllis.arc3d.engine.UniformDataManager

  `getBufferPtrAndMarkDirty, set1f, set1fv, set1fv, set1i, set1iv, set1iv, set2f, set2fv, set2fv, set2i, set2iv, set2iv, set3f, set3fv, set3fv, set3i, set3iv, set3iv, set4f, set4fv, set4fv, set4i, set4iv, set4iv, setMatrix2fv, setMatrix2fv, setMatrix3f, setMatrix3f, setMatrix3fv, setMatrix3fv, setMatrix4f, setMatrix4fv, setMatrix4fv`

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### deallocate

    protected void deallocate()
    Description copied from class: `RefCnt`
    Override this method to invoke de-allocation of the underlying resource.
    Overrides:
      `deallocate` in class `UniformDataManager`

  - ### setProjection

    public void setProjection(int u, int width, int height, boolean flipY)
    Set the orthographic projection vector.

  - ### bindAndUploadUniforms

    public boolean bindAndUploadUniforms(GLDevice device, GLCommandBuffer commandBuffer)